Join the community today
Become a Member

Beta Branch switch to devtoolset-3 provided by Fedora Copr in 123.09beta01

Discussion in 'Centmin Mod Github Commits' started by eva2000, Oct 2, 2016.

  1. eva2000

    eva2000 Administrator Staff Member

    28,934
    6,567
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,747
    Local Time:
    3:41 PM
    Nginx 1.13.x
    MariaDB 5.5
    Last edited: Oct 2, 2016
  2. eva2000

    eva2000 Administrator Staff Member

    28,934
    6,567
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,747
    Local Time:
    3:41 PM
    Nginx 1.13.x
    MariaDB 5.5
    devtoolset-3 GCC 4.9 is required by nginx_brotli and ngx_pagespeed modules on CentOS 6 as native GCC 4.4.7 is too old. CentOS 7 uses GCC 4.8.5 which is fine. Originally, Centmin Mod used Scientific Linux's slc6-scl yum repo for GCC 4.9.1. But then found centos-release-scl-rh native package existed but they kept hanging on yum install/download. So switched to Fedora Copr provided ones which also have a slight GCC version bump from 4.9.1 to 4.9.2.

    Example of CentOS 6.8 64bit with ngx_pagespeed and ngx_brotli enabled with Nginx 1.11.4

     
    • Informative Informative x 1